Class
Date: 2016-06-24

java.lang

## Class Class

- java.lang.Object
- - java.lang.Class

- All Implemented Interfaces:
    Serializable

      public final class Class
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `desiredAssertionStatus()`
    `static Class` | `forName(String var0)`
    `static Class` | `forName(String var0, boolean var1, ClassLoader var2)`
    `Class[]` | `getClasses()`
    `ClassLoader` | `getClassLoader()`
    `Class` | `getComponentType()`
    `Constructor` | `getConstructor(Class[] var0)`
    `Constructor[]` | `getConstructors()`
    `Class[]` | `getDeclaredClasses()`
    `Constructor` | `getDeclaredConstructor(Class[] var0)`
    `Constructor[]` | `getDeclaredConstructors()`
    `Field` | `getDeclaredField(String var0)`
    `Field[]` | `getDeclaredFields()`
    `Method` | `getDeclaredMethod(String var0, Class[] var1)`
    `Method[]` | `getDeclaredMethods()`
    `Class` | `getDeclaringClass()`
    `Field` | `getField(String var0)`
    `Field[]` | `getFields()`
    `Class[]` | `getInterfaces()`
    `Method` | `getMethod(String var0, Class[] var1)`
    `Method[]` | `getMethods()`
    `int` | `getModifiers()`
    `String` | `getName()`
    `Package` | `getPackage()`
    `ProtectionDomain` | `getProtectionDomain()`
    `URL` | `getResource(String var0)`
    `InputStream` | `getResourceAsStream(String var0)`
    `Object[]` | `getSigners()`
    `Class` | `getSuperclass()`
    `boolean` | `isArray()`
    `boolean` | `isAssignableFrom(Class var0)`
    `boolean` | `isInstance(Object var0)`
    `boolean` | `isInterface()`
    `boolean` | `isPrimitive()`
    `Object` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### desiredAssertionStatus

          public boolean desiredAssertionStatus()

    - #### forName

          public static Class forName(String var0)
                               throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### forName

          public static Class forName(String var0,
                      boolean var1,
                      ClassLoader var2)
                               throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### getClassLoader

          public ClassLoader getClassLoader()

    - #### getClasses

          public Class[] getClasses()

    - #### getComponentType

          public Class getComponentType()

    - #### getConstructor

          public Constructor getConstructor(Class[] var0)
                                     throws NoSuchMethodException

      Throws:
        `NoSuchMethodException`

    - #### getConstructors

          public Constructor[] getConstructors()

    - #### getDeclaredClasses

          public Class[] getDeclaredClasses()

    - #### getDeclaredConstructor

          public Constructor getDeclaredConstructor(Class[] var0)
                                             throws NoSuchMethodException

      Throws:
        `NoSuchMethodException`

    - #### getDeclaredConstructors

          public Constructor[] getDeclaredConstructors()

    - #### getDeclaredField

          public Field getDeclaredField(String var0)
                                 throws NoSuchFieldException

      Throws:
        `NoSuchFieldException`

    - #### getDeclaredFields

          public Field[] getDeclaredFields()

    - #### getDeclaredMethod

          public Method getDeclaredMethod(String var0,
                                 Class[] var1)
                                   throws NoSuchMethodException

      Throws:
        `NoSuchMethodException`

    - #### getDeclaredMethods

          public Method[] getDeclaredMethods()

    - #### getDeclaringClass

          public Class getDeclaringClass()

    - #### getField

          public Field getField(String var0)
                         throws NoSuchFieldException

      Throws:
        `NoSuchFieldException`

    - #### getFields

          public Field[] getFields()

    - #### getInterfaces

          public Class[] getInterfaces()

    - #### getMethod

          public Method getMethod(String var0,
                         Class[] var1)
                           throws NoSuchMethodException

      Throws:
        `NoSuchMethodException`

    - #### getMethods

          public Method[] getMethods()

    - #### getModifiers

          public int getModifiers()

    - #### getName

          public String getName()

    - #### getPackage

          public Package getPackage()

    - #### getProtectionDomain

          public ProtectionDomain getProtectionDomain()

    - #### getResource

          public URL getResource(String var0)

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String var0)

    - #### getSigners

          public Object[] getSigners()

    - #### getSuperclass

          public Class getSuperclass()

    - #### isArray

          public boolean isArray()

    - #### isAssignableFrom

          public boolean isAssignableFrom(Class var0)

    - #### isInstance

          public boolean isInstance(Object var0)

    - #### isInterface

          public boolean isInterface()

    - #### isPrimitive

          public boolean isPrimitive()

    - #### newInstance

          public Object newInstance()
                             throws IllegalAccessException,
                                    InstantiationException

      Throws:
        `IllegalAccessException`
        `InstantiationException`